# _____       _    _    Corso   Italia,  178
# (_|__   .  (_   |_|_  56125           Pisa
# (_|_) |)|(()_)()| |   tel.  +39  050 46380
#   |   |               picosoft@picosoft.it

#  Copyright (C) Picosoft s.r.l. 1994-2002

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

CC=g++
CFLAGS=-O
OFLAGS=-static -O
INCL=-I../inc
LIB=../lib/libpicosqlnet.a \
    ../lib/libpicoiiop.a \
    ../lib/libpicocpp.a

OBJS=picosql.o
PICOSQL=../bin/picosql


$(PICOSQL):$(OBJS) $(LIB)
	$(CC) $(OFLAGS) -o $(PICOSQL) $(OBJS) $(LIB)

picosql.o:picosql.c
	$(CC) -c $(CFLAGS) $(INCL) picosql.c

clean:
	rm -f *.o $(PICOSQL)
